* {
    box-sizing: border-box;
}

.logo{
text-decoration: none;
color: #F1F5F9;
font-size: 28px;
font-weight: 700;
transition: 0.2s;
}
.logo span {
    color: #6366F1;
}

.logo:hover {
    color: #6366F1;

}

.main{
    background: #081C2C;
    color: #F1F5F9;
    min-height: 100vh;
    margin: 0;
    padding: 0 80px;
}
main{display: flex;
    align-items: center;
    gap: 45px;

}

header{
    padding: 20px 0 ;
}

.hero-image{
    flex: 3;
    max-height: 580px;
    border-radius: 18px;

}


.hero-content {
flex: 2;
}

.hero-title{
    font-size: 48px;
    line-height: 1.3;
    margin-bottom: 30px ;
}   

.hero-description{
    font-size: 17px;
    max-width: 324px;
    margin-bottom: 30px;
}

.signup-form{
    display: flex;
    gap: 8px;
    align-items: center;
}
.email-input{
    flex-grow: 1;
max-width: 230px;
padding: 4px 8px;
border: 2px solid  #334155 ;
background: #0F172A ;
color: #F1F5F9;
}

.email-input::placeholder{
    color: #CBD5E1;
}
.btn{
    padding: 3px 6px;
    border-radius: 12px;
    background: #6366F1;
    color: #FFFFFF;
    font-weight: 550;
    cursor: pointer;
    transition: 0.3s;
   
}
.btn:hover {
    background: #5145CD;
 transform: translateY(-2px);
}
.small-text{
    font-size: 14px;
    color: #94A3B8;
}


@media(max-width: 768px){
    main {
    flex-direction: column;
    align-items: stretch;
    gap: 30px;
}
 .main {
        padding: 0 24px;
         min-height: auto;
    }

header {
    padding: 20px 0 35px;
}
.hero-description{
    max-width: none;
    margin-bottom: 20px;
}
.signup-form {
        flex-direction: column;
        width: 100%;
    }
.hero-image {
        flex: none;
        width: 100%;
        max-height: 470px;
    }

.hero-title {
    font-size: 36px;
    margin-bottom: 20px;
}
.email-input{
    width: 100%;
    max-width: none;
    min-width: 0;
}

}


.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

 
